import { getAxios, postAxios, downFile } from '@/utils/axios.js'

//登录
export function login(data) {
    return postAxios({ url: 'account/login', data })
}

//ai
//获取所有话术列表
export function getDialogList(data) {
    return postAxios({ url: 'ai/templateList', data })
}
//获取所有语言列表
export function getLanguageList(data) {
    return postAxios({ url: 'ai/languageList', data })
}
//添加话术
export function addDialog(data) {
    return postAxios({ url: 'ai/addTemplate', data })
}
//编辑话术
export function editDialog(data) {
    return postAxios({ url: 'ai/editTemplate', data })
}
//删除话术
export function deleteDialog(data) {
    return postAxios({ url: 'ai/deleteTemplate', data })
}
//删除语言
export function deleteLanguage(data) {
    return postAxios({ url: 'ai/deleteLanguage', data })
}
//编辑语言
export function editLanguage(data) {
    return postAxios({ url: 'ai/updateLanguage', data })
}
//添加语言
export function addLanguage(data) {
    return postAxios({ url: 'ai/addLanguage', data })
}


//小程序
//获取配置列表
export function getWxConfigList(data) {
    return postAxios({ url: 'pk/configList', data })
}
//添加配置
export function addWxConfig(data) {
    return postAxios({ url: 'pk/addNewConfig', data })
}
//编辑配置
export function editWxConfig(data) {
    return postAxios({ url: 'pk/updateConfig', data })
}
//删除配置
export function deleteWxConfig(data) {
    return postAxios({ url: 'pk/deleteConfig', data })
}





export function cheekalive(data) {
    return postAxios({ url: 'api/account/cheekalive', data })
}

export function dicts(data) {
    return postAxios({ url: 'api/param/dicts', data })
}
export function tkhostdetail(data) {
    return postAxios({ url: 'api/tkinfo/tkhostdetail', data })
}
//导出表格
export function exporthosts(data) {
    return postAxios({ url: 'api/export/hostsinfo', data })
}
export function downList(url, data) {
    return downFile(url, data)
}

//查询员工
export function getStaffList(data) {
    return postAxios({ url: 'api/account/list', data })
}
//分配主播
export function managerhosts(data) {
    return postAxios({ url: 'api/account/managerhosts', data })
}
//编辑主播
export function upholdinfo(data) {
    return postAxios({ url: 'api/tkinfo/upholdinfo', data })
}

//查看名字
export function accountName(str) {
    return postAxios({ url: 'api/account/accountName?accounts=' + str })
}

